Bug 156293 - [patch] net/kdenetwork4: googletalk plugin for kopete fails to build
[patch] net/kdenetwork4: googletalk plugin for kopete fails to build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: kde
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-09 09:50 UTC by osidorkin
Modified: 2011-10-17 01:23 UTC (History)
0 users

See Also:


Attachments
file.diff (698 bytes, patch)
2011-04-09 09:50 UTC, osidorkin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description osidorkin 2011-04-09 09:50:11 UTC
If all dependencies required to build googletalk plugin are met, googletalk plugin fails to build with the following error:

/data/build/usr/ports/net/kdenetwork4/work/kdenetwork-4.6.2/kopete/protocols/jabber/googletalk/libjingle/talk/base/httpcommon.cc: In function 'bool talk_base::HttpDateToSeconds(const std::string&, long unsigned int*)':
/data/build/usr/ports/net/kdenetwork4/work/kdenetwork-4.6.2/kopete/protocols/jabber/googletalk/libjingle/talk/base/httpcommon.cc:378: error: invalid operands of types 'long unsigned int' and 'char* ()(int, int)' to binary 'operator-'

Fix: changing line 374 of 
kdenetwork-4.6.2/kopete/protocols/jabber/googletalk/libjingle/talk/base/httpcommon.cc

from
#ifdef OSX
to 
#if defined (OSX) || defined(__FreeBSD__)
fixes the problem for me.

Patch attached with submission follows:
How-To-Repeat: 1) cd to net/kdenetwork4 and run make configure
2) check google talk plugin is enabled after configure
3)run make
Comment 1 Tilman Keskinoz freebsd_committer 2011-04-09 14:12:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

over to maintainer
Comment 2 kubito 2011-04-10 03:56:47 UTC
The patch looks sane, but I'm wondering how you were able to get Kopete
to build with Google Talk support at all.

I had to change kdenetwork4's Makefile to depend on net/linphone-base
instead of net/ortp, and even after that the build still failed at
another point in libjingle:

  kopete/protocols/jabber/googletalk/libjingle/talk/base/stringencode.cc:33:20:
  error: alloca.h: No such file or directory
Comment 3 osidorkin 2011-04-13 06:49:32 UTC
I've installed linphone from ports and then ortp from ports on top of it 
(in ignore conflicts mode)
Comment 4 Alberto Villa freebsd_committer 2011-08-30 00:25:50 UTC
State Changed
From-To: open->patched

4.7 appears to work fine in area51: the plugin is built and installed. 
As soon as we're ready for a CFT, we'll ask you to test especially this. 
By the way, I didn't add your patch. We'll see if it builds on FreeBSD < 
9 too.
Comment 5 Alberto Villa freebsd_committer 2011-08-31 13:53:47 UTC
actually, the patches were indeed committed by rakuco
-- 
Alberto Villa, FreeBSD committer <avilla@FreeBSD.org>
http://people.FreeBSD.org/~avilla

It's better to burn out than to fade away.
Comment 6 osidorkin 2011-09-04 08:22:52 UTC
The patch is actually commited to area51.
kdenetwork 4.7.0 builds with it and doesn't build if the given patch
part is removed from
patch-kopete__protocols__jabber__google~k__libjingle__talk__base__httpcommon.cc
Comment 7 dfilter freebsd_committer 2011-10-17 01:03:53 UTC
avilla      2011-10-17 00:03:42 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs MOVED UIDs UPDATING 
    Mk                   bsd.kde4.mk 
    accessibility        Makefile 
    astro                Makefile 
    deskutils            Makefile 
    devel                Makefile 
    editors              Makefile 
    games                Makefile 
    graphics             Makefile 
    japanese             Makefile 
    lang                 Makefile 
    math                 Makefile 
    misc                 Makefile 
    science              Makefile 
    x11-themes           Makefile 
    x11                  Makefile 
    accessibility/jovie  Makefile pkg-message 
    accessibility/kdeaccessibility4 Makefile distinfo pkg-plist 
    arabic/kde4-l10n     distinfo pkg-plist 
    astro/marble         Makefile pkg-plist 
    chinese/kde4-l10n-zh_CN distinfo pkg-plist 
    chinese/kde4-l10n-zh_TW distinfo pkg-plist 
    deskutils/kdepimlibs4 Makefile distinfo pkg-plist 
    deskutils/kdepimlibs4/files patch-CMakeLists.txt 
    deskutils/kdeplasma-addons Makefile distinfo pkg-plist 
    deskutils/kdeplasma-addons/files patch-CMakeLists.txt 
    devel/kdebindings4   Makefile pkg-descr 
    devel/kdebindings4-python Makefile 
    devel/kdebindings4-python-krosspython Makefile 
    devel/kdebindings4-python-pykde4 Makefile distinfo pkg-plist 
    devel/kdebindings4-python-pykdeuic4 Makefile 
    devel/kdebindings4-ruby Makefile pkg-descr 
    devel/kdebindings4-smoke Makefile pkg-descr 
    devel/kdesdk4        Makefile distinfo pkg-plist 
    french/kde4-l10n     distinfo pkg-plist 
    games/kdegames4      Makefile distinfo pkg-plist 
    german/kde4-l10n     distinfo pkg-plist 
    graphics/gwenview-kde4 Makefile distinfo pkg-descr pkg-plist 
    graphics/kamera-kde4 Makefile distinfo pkg-descr pkg-plist 
    graphics/kdegraphics4 Makefile pkg-descr 
    graphics/libkdcraw-kde4 Makefile distinfo pkg-descr pkg-plist 
    graphics/libkexiv2-kde4 Makefile distinfo pkg-descr pkg-plist 
    graphics/libkipi-kde4 Makefile distinfo pkg-descr pkg-plist 
    hebrew/kde4-l10n     distinfo pkg-plist 
    hungarian/kde4-l10n  distinfo pkg-plist 
    japanese/kde4-l10n   distinfo pkg-plist 
    korean/kde4-l10n     distinfo pkg-plist 
    misc/kde4-l10n       Makefile 
    misc/kde4-l10n-bg    distinfo pkg-plist 
    misc/kde4-l10n-ca    Makefile.man distinfo pkg-plist 
    misc/kde4-l10n-ca_valencia distinfo pkg-plist 
    misc/kde4-l10n-cs    distinfo pkg-plist 
    misc/kde4-l10n-da    Makefile.man distinfo pkg-plist 
    misc/kde4-l10n-el    Makefile.man distinfo pkg-plist 
    misc/kde4-l10n-en_GB distinfo pkg-plist 
    misc/kde4-l10n-es    distinfo pkg-plist 
    misc/kde4-l10n-et    Makefile.man distinfo pkg-plist 
    misc/kde4-l10n-eu    distinfo pkg-plist 
    misc/kde4-l10n-fi    distinfo pkg-plist 
    misc/kde4-l10n-fy    Makefile 
    misc/kde4-l10n-ga    distinfo pkg-plist 
    misc/kde4-l10n-gl    Makefile.man distinfo pkg-plist 
    misc/kde4-l10n-gu    Makefile 
    misc/kde4-l10n-hi    Makefile 
    misc/kde4-l10n-hr    distinfo pkg-plist 
    misc/kde4-l10n-ia    distinfo pkg-plist 
    misc/kde4-l10n-id    distinfo pkg-plist 
    misc/kde4-l10n-is    distinfo pkg-plist 
    misc/kde4-l10n-it    distinfo pkg-plist 
    misc/kde4-l10n-kk    distinfo pkg-plist 
    misc/kde4-l10n-km    distinfo pkg-plist 
    misc/kde4-l10n-kn    distinfo pkg-plist 
    misc/kde4-l10n-lt    distinfo pkg-plist 
    misc/kde4-l10n-lv    distinfo pkg-plist 
    misc/kde4-l10n-mai   Makefile 
    misc/kde4-l10n-ml    Makefile 
    misc/kde4-l10n-nb    distinfo pkg-plist 
    misc/kde4-l10n-nds   distinfo pkg-plist 
    misc/kde4-l10n-nl    Makefile.man distinfo pkg-plist 
    misc/kde4-l10n-nn    distinfo pkg-plist 
    misc/kde4-l10n-pa    distinfo pkg-plist 
    misc/kde4-l10n-ro    distinfo pkg-plist 
    misc/kde4-l10n-sk    distinfo pkg-plist 
    misc/kde4-l10n-sl    distinfo pkg-plist 
    misc/kde4-l10n-sr    distinfo pkg-plist 
    misc/kde4-l10n-sv    Makefile.man distinfo pkg-plist 
    misc/kde4-l10n-th    distinfo pkg-plist 
    misc/kde4-l10n-tr    distinfo pkg-plist 
    misc/kde4-l10n-wa    distinfo pkg-plist 
    misc/kde4-xdg-env    Makefile 
    misc/kde4-xdg-env/files xdg-env.sh.in 
    misc/kdeedu4         Makefile pkg-descr 
    misc/kdehier4        Makefile pkg-plist 
    misc/kdehier4/files  dirlist make-plist.sh mtree-dirlist 
                         session-kde4.conf.in system-kde4.conf.in 
    misc/kdeutils4       Makefile distinfo pkg-descr pkg-plist 
    multimedia/kdemultimedia4 Makefile distinfo pkg-plist 
    net/kdenetwork4      Makefile distinfo pkg-plist 
    polish/kde4-l10n     Makefile.man distinfo pkg-plist 
    portuguese/kde4-l10n Makefile.man distinfo pkg-plist 
    portuguese/kde4-l10n-pt_BR distinfo pkg-plist 
    print/kdeutils4-printer-applet Makefile pkg-plist 
    print/system-config-printer-kde Makefile pkg-plist 
    russian/kde4-l10n    distinfo pkg-plist 
    sysutils/filelight-kde4 Makefile pkg-descr pkg-plist 
    sysutils/kdeadmin4   Makefile distinfo 
    sysutils/ksysguardd  Makefile 
    ukrainian/kde4-l10n  distinfo pkg-plist 
    www/kdewebdev4       Makefile distinfo pkg-plist 
    x11-clocks/kdetoys4  Makefile distinfo 
    x11-themes/kde4-icons-oxygen distinfo pkg-plist 
    x11-themes/kdeartwork4 Makefile distinfo pkg-descr pkg-plist 
    x11/kde4             Makefile 
    x11/kde4-baseapps    Makefile distinfo pkg-descr pkg-plist 
    x11/kde4-runtime     Makefile distinfo pkg-descr pkg-plist 
    x11/kde4-workspace   Makefile distinfo pkg-descr pkg-plist 
    x11/kde4-workspace/files kdm4.in patch-CMakeLists.txt 
                             patch-kinfocenter__Modules__base__CMakeLists.txt 
                             patch-kwin-kcmkwin-kwinrules_ruleswidget.cpp 
    x11/kdelibs4         Makefile distinfo pkg-descr pkg-plist 
    x11/kdelibs4/files   patch-KDE4Defaults.cmake 
                         patch-cmake_modules_FindKdcraw.cmake 
                         patch-cmake_modules_FindKexiv2.cmake 
                         patch-cmake_modules_FindKipi.cmake 
    x11/plasma-scriptengine-python Makefile 
    x11/plasma-scriptengine-ruby Makefile 
  Added files:
    astro/kstars         Makefile distinfo pkg-descr pkg-plist 
    astro/marble         distinfo 
    deskutils/kruler     Makefile distinfo pkg-descr pkg-plist 
    devel/kdebindings4-kross-interpreters Makefile distinfo 
                                          pkg-descr 
    devel/kdebindings4-python-pykde4/files patch-__init__.py 
                                           patch-kpythonpluginfactory__kpythonpluginfactory.cpp 
    devel/kdebindings4-python-pykdeuic4/files patch-CMakeLists.txt 
    devel/kdebindings4-ruby-korundum Makefile distinfo pkg-descr 
                                     pkg-plist 
    devel/kdebindings4-ruby-korundum/files pkg-message.in 
                                           ruby-kdebindings-env.sh.in 
    devel/kdebindings4-ruby-krossruby Makefile pkg-descr pkg-plist 
    devel/kdebindings4-ruby-qtruby Makefile distinfo pkg-descr 
                                   pkg-plist 
    devel/kdebindings4-smoke-smokegen Makefile distinfo pkg-descr 
                                      pkg-plist 
    devel/kdebindings4-smoke-smokegen/files 
                                            patch-cmake__CMakeLists.txt 
    devel/kdebindings4-smoke-smokekde Makefile distinfo pkg-descr 
                                      pkg-plist 
    devel/kdebindings4-smoke-smokeqt Makefile distinfo pkg-descr 
                                     pkg-plist 
    editors/kate         Makefile distinfo pkg-descr pkg-plist 
    games/blinken        Makefile distinfo pkg-descr pkg-plist 
    games/kajongg        Makefile pkg-descr pkg-plist 
    games/kanagram       Makefile distinfo pkg-descr pkg-plist 
    games/khangman       Makefile distinfo pkg-descr pkg-plist 
    graphics/kcolorchooser Makefile distinfo pkg-descr pkg-plist 
    graphics/kdegraphics4-mobipocket Makefile distinfo pkg-descr 
                                     pkg-plist 
    graphics/kdegraphics4-strigi-analyzer Makefile distinfo 
                                          pkg-descr pkg-plist 
    graphics/kdegraphics4-svgpart Makefile distinfo pkg-descr 
                                  pkg-plist 
    graphics/kdegraphics4-thumbnailers Makefile distinfo pkg-descr 
                                       pkg-plist 
    graphics/kolourpaint Makefile distinfo pkg-descr pkg-plist 
    graphics/ksaneplugin Makefile distinfo pkg-descr pkg-plist 
    graphics/ksnapshot   Makefile distinfo pkg-descr pkg-plist 
    graphics/libksane    Makefile distinfo pkg-descr pkg-plist 
    graphics/okular      Makefile distinfo pkg-descr pkg-plist 
    japanese/kiten       Makefile distinfo pkg-descr pkg-plist 
    lang/kturtle         Makefile distinfo pkg-descr pkg-plist 
    math/cantor          Makefile distinfo pkg-descr pkg-plist 
    math/cantor/files    
                         patch-src__backends__R__rserver__rcallbacks.cpp 
    math/kalgebra        Makefile distinfo pkg-descr pkg-plist 
    math/kbruch          Makefile distinfo pkg-descr pkg-plist 
    math/kig             Makefile distinfo pkg-descr pkg-plist 
    math/kmplot          Makefile distinfo pkg-descr pkg-plist 
    math/rocs            Makefile distinfo pkg-descr pkg-plist 
    misc/kde4-l10n-bs    Makefile distinfo pkg-descr pkg-plist 
    misc/kde4-l10n-ug    Makefile distinfo pkg-descr pkg-plist 
    misc/kgeography      Makefile distinfo pkg-descr pkg-plist 
    misc/klettres        Makefile distinfo pkg-descr pkg-plist 
    misc/ktouch          Makefile distinfo pkg-descr pkg-plist 
    misc/kwordquiz       Makefile distinfo pkg-descr pkg-plist 
    misc/libkdeedu       Makefile distinfo pkg-descr pkg-plist 
    misc/parley          Makefile distinfo pkg-descr pkg-plist 
    multimedia/kdemultimedia4/files patch-svn1250843 
    net/kdenetwork4/files 
                          patch-kopete__protocols__jabber__googletalk__libjingle__talk__base__httpcommon.cc 
                          patch-kopete__protocols__jabber__googletalk__libjingle__talk__base__stringencode.cc 
    science/kalzium      Makefile distinfo pkg-descr pkg-plist 
    science/step         Makefile distinfo pkg-descr pkg-plist 
    x11-themes/kde4-wallpapers Makefile distinfo pkg-descr 
                               pkg-plist 
    x11/kde4-runtime/files 
                           patch-nepomuk__services__storage__datamanagementmodel.h 
    x11/kde4-workspace   pkg-message 
    x11/kdelibs4/files   
                         patch-nepomuk__query__querybuilderdata_p.h 
    x11/kgamma           Makefile distinfo pkg-descr pkg-plist 
    x11/konsole          Makefile distinfo pkg-descr pkg-plist 
  Removed files:
    accessibility/ktts   Makefile pkg-descr pkg-message pkg-plist 
    astro/marble/files   
                         patch-src-plugins-positionprovider-gpsd-GpsdConnection.cpp 
    devel/kdebindings4/files Makefile.kdebindings 
    devel/kdebindings4-python-krosspython distinfo 
    devel/kdebindings4-python-pykde4/files 
                                           patch-python__pykde4____init__.py 
                                           patch-python_pykde4_kpythonpluginfactory_kpythonpluginfactory.cpp 
    devel/kdebindings4-python-pykdeuic4 distinfo 
    devel/kdebindings4-python-pykdeuic4/files 
                                              patch-python__pykde4__tools__CMakeLists.txt 
    devel/kdebindings4-ruby distinfo pkg-plist 
    devel/kdebindings4-ruby/files patch-ruby__CMakeLists.txt 
                                  patch-ruby__korundum__CMakeLists.txt 
                                  patch-ruby__korundum__modules__plasma__CMakeLists.txt 
                                  patch-ruby__qtruby__src__CMakeLists.txt 
                                  pkg-message.in 
                                  ruby-kdebindings-env.sh.in 
    devel/kdebindings4-smoke distinfo pkg-plist 
    games/kdegames4/files patch-kajongg__CMakeLists.txt 
                          patch-libkdegames__kgamerenderer.h 
                          patch-libkdegames__kgamerenderer_p.h 
    graphics/gwenview-kde4/files 
                                 patch-src_gvcore_pngformattype.cpp 
                                 patch-src_imageutils_jpegcontent.cpp 
    graphics/kdegraphics4 distinfo pkg-plist 
    graphics/kdegraphics4/files 
                                patch-libs__libkdcraw__CMakeLists.txt 
                                patch-libs__libkexiv2__CMakeLists.txt 
                                patch-libs__libkipi__CMakeLists.txt 
    graphics/libkexiv2-kde4/files 
                                  patch-libkexiv2__libkexiv2__kexiv2.cpp 
    misc/kdeedu4         distinfo pkg-plist 
    misc/kdeutils4/files patch-ark-kerfuffle-cliiterface.cpp 
                         patch-kcalc-kcalc.ui 
    misc/konq-plugins-kde4 Makefile distinfo pkg-descr pkg-plist 
    misc/nepomukcontroller Makefile distinfo pkg-descr 
    sysutils/filelight-kde4 distinfo 
    sysutils/ksysguardd  distinfo 
    x11/kde4-workspace/files 
                             patch-plasma-generic-dataengines-geolocation-location_gps.cpp 
                             patch-plasma-generic-dataengines-geolocation-location_gps.h 
                             patch-plasma__generic__scriptengines__CMakeLists.txt 
                             pkg-message.in 
    x11/kdebase4         Makefile distinfo pkg-descr pkg-plist 
    x11/kdebase4-runtime Makefile distinfo pkg-descr pkg-plist 
    x11/kdebase4-runtime/files nepomuk-env.sh.in 
                               patch-khelpcenter_searchhandlers-khc_mansearch.pl 
    x11/kdebase4-workspace Makefile distinfo pkg-descr pkg-plist 
    x11/kdebase4-workspace/files kdm.in kdm4.in layout.js.in 
                                 metadata.desktop 
                                 patch-CMakeLists.txt 
                                 patch-ConfigureChecks.cmake 
                                 patch-kdm-kfrontend-CMakeLists.txt 
                                 patch-kdm-kfrontend-genkdmconf.c 
                                 patch-kdm__backend__client.c 
                                 patch-kinfocenter__Modules__base__CMakeLists.txt 
                                 patch-kinfocenter__Modules__info__CMakeLists.txt 
                                 patch-kwin-kcmkwin-kwinrules_ruleswidget.cpp 
                                 patch-kwin__CMakeLists.txt 
                                 patch-plasma-generic-dataengines-geolocation-location_gps.cpp 
                                 patch-plasma-generic-dataengines-geolocation-location_gps.h 
                                 patch-plasma__generic__scriptengines__CMakeLists.txt 
                                 patch-startkde.cmake 
                                 pkg-message.in 
    x11/kdelibs4/files   
                         patch-solid_solid_backends_hal_haldevice.cpp 
  Log:
  The KDE/FreeBSD team is pleased to announce KDE Software Compilation
  4.7.2. The official release notes can be found at:
  http://kde.org/announcements/announce-4.7.2.php
  This release ships with many improvements. Read more about them here:
  http://FreeBSD.kde.org/news.php#itemKDESC472availableinports
  
  We'd like to say thanks to all testers and contributors, especially to
  lwhsu@ for his effort on hosting our test packages.
  
  PR:             156293 [1]
                  159219 [2]
                  160164 [3]
  Submitted by:   Oleg Sidorkin <osidorkin@gmail.com> [1]
                  Alvaro Castillo <gobledb@gmail.com> [2]
                  dkeav04@gmail.com [3]
  Tested by:      exp-run via pav
  
  Revision  Changes    Path
  1.158     +2 -1      ports/GIDs
  1.2636    +7 -1      ports/MOVED
  1.122     +10 -9     ports/Mk/bsd.kde4.mk
  1.178     +2 -1      ports/UIDs
  1.1155    +43 -1     ports/UPDATING
  1.33      +1 -1      ports/accessibility/Makefile
  1.10      +10 -15    ports/accessibility/jovie/Makefile
  1.5       +2 -2      ports/accessibility/jovie/pkg-message
  1.49      +6 -11     ports/accessibility/kdeaccessibility4/Makefile
  1.49      +2 -2      ports/accessibility/kdeaccessibility4/distinfo
  1.22      +0 -1998   ports/accessibility/kdeaccessibility4/pkg-plist
  1.9       +0 -44     ports/accessibility/ktts/Makefile (dead)
  1.2       +0 -6      ports/accessibility/ktts/pkg-descr (dead)
  1.4       +0 -11     ports/accessibility/ktts/pkg-message (dead)
  1.5       +0 -58     ports/accessibility/ktts/pkg-plist (dead)
  1.65      +2 -2      ports/arabic/kde4-l10n/distinfo
  1.35      +2 -5      ports/arabic/kde4-l10n/pkg-plist
  1.163     +1 -0      ports/astro/Makefile
  1.10      +34 -0     ports/astro/kstars/Makefile (new)
  1.7       +2 -0      ports/astro/kstars/distinfo (new)
  1.4       +7 -0      ports/astro/kstars/pkg-descr (new)
  1.8       +440 -0    ports/astro/kstars/pkg-plist (new)
  1.10      +23 -12    ports/astro/marble/Makefile
  1.1       +2 -0      ports/astro/marble/distinfo (new)
  1.2       +0 -64     ports/astro/marble/files/patch-src-plugins-positionprovider-gpsd-GpsdConnection.cpp (dead)
  1.5       +66 -8     ports/astro/marble/pkg-plist
  1.61      +2 -2      ports/chinese/kde4-l10n-zh_CN/distinfo
  1.41      +22 -5     ports/chinese/kde4-l10n-zh_CN/pkg-plist
  1.58      +2 -2      ports/chinese/kde4-l10n-zh_TW/distinfo
  1.35      +12 -5     ports/chinese/kde4-l10n-zh_TW/pkg-plist
  1.443     +1 -0      ports/deskutils/Makefile
  1.39      +22 -13    ports/deskutils/kdepimlibs4/Makefile
  1.27      +2 -2      ports/deskutils/kdepimlibs4/distinfo
  1.6       +3 -3      ports/deskutils/kdepimlibs4/files/patch-CMakeLists.txt
  1.15      +3 -2      ports/deskutils/kdepimlibs4/pkg-plist
  1.30      +27 -18    ports/deskutils/kdeplasma-addons/Makefile
  1.27      +2 -2      ports/deskutils/kdeplasma-addons/distinfo
  1.3       +5 -4      ports/deskutils/kdeplasma-addons/files/patch-CMakeLists.txt
  1.10      +49 -2     ports/deskutils/kdeplasma-addons/pkg-plist
  1.1       +28 -0     ports/deskutils/kruler/Makefile (new)
  1.1       +2 -0      ports/deskutils/kruler/distinfo (new)
  1.1       +9 -0      ports/deskutils/kruler/pkg-descr (new)
  1.1       +27 -0     ports/deskutils/kruler/pkg-plist (new)
  1.4610    +7 -0      ports/devel/Makefile
  1.1       +42 -0     ports/devel/kdebindings4-kross-interpreters/Makefile (new)
  1.1       +2 -0      ports/devel/kdebindings4-kross-interpreters/distinfo (new)
  1.1       +3 -0      ports/devel/kdebindings4-kross-interpreters/pkg-descr (new)
  1.12      +16 -6     ports/devel/kdebindings4-python-krosspython/Makefile
  1.22      +0 -2      ports/devel/kdebindings4-python-krosspython/distinfo (dead)
  1.22      +28 -21    ports/devel/kdebindings4-python-pykde4/Makefile
  1.22      +2 -2      ports/devel/kdebindings4-python-pykde4/distinfo
  1.1       +10 -0     ports/devel/kdebindings4-python-pykde4/files/patch-__init__.py (new)
  1.1       +20 -0     ports/devel/kdebindings4-python-pykde4/files/patch-kpythonpluginfactory__kpythonpluginfactory.cpp (new)
  1.2       +0 -10     ports/devel/kdebindings4-python-pykde4/files/patch-python__pykde4____init__.py (dead)
  1.2       +0 -20     ports/devel/kdebindings4-python-pykde4/files/patch-python_pykde4_kpythonpluginfactory_kpythonpluginfactory.cpp (dead)
  1.7       +26 -3     ports/devel/kdebindings4-python-pykde4/pkg-plist
  1.6       +16 -15    ports/devel/kdebindings4-python-pykdeuic4/Makefile
  1.13      +0 -2      ports/devel/kdebindings4-python-pykdeuic4/distinfo (dead)
  1.1       +9 -0      ports/devel/kdebindings4-python-pykdeuic4/files/patch-CMakeLists.txt (new)
  1.2       +0 -8      ports/devel/kdebindings4-python-pykdeuic4/files/patch-python__pykde4__tools__CMakeLists.txt (dead)
  1.18      +9 -9      ports/devel/kdebindings4-python/Makefile
  1.1       +59 -0     ports/devel/kdebindings4-ruby-korundum/Makefile (new)
  1.1       +2 -0      ports/devel/kdebindings4-ruby-korundum/distinfo (new)
  1.1       +10 -0     ports/devel/kdebindings4-ruby-korundum/files/pkg-message.in (new)
  1.1       +6 -0      ports/devel/kdebindings4-ruby-korundum/files/ruby-kdebindings-env.sh.in (new)
  1.1       +3 -0      ports/devel/kdebindings4-ruby-korundum/pkg-descr (new)
  1.1       +38 -0     ports/devel/kdebindings4-ruby-korundum/pkg-plist (new)
  1.1       +41 -0     ports/devel/kdebindings4-ruby-krossruby/Makefile (new)
  1.1       +3 -0      ports/devel/kdebindings4-ruby-krossruby/pkg-descr (new)
  1.1       +1 -0      ports/devel/kdebindings4-ruby-krossruby/pkg-plist (new)
  1.1       +53 -0     ports/devel/kdebindings4-ruby-qtruby/Makefile (new)
  1.1       +2 -0      ports/devel/kdebindings4-ruby-qtruby/distinfo (new)
  1.1       +3 -0      ports/devel/kdebindings4-ruby-qtruby/pkg-descr (new)
  1.1       +56 -0     ports/devel/kdebindings4-ruby-qtruby/pkg-plist (new)
  1.8       +28 -42    ports/devel/kdebindings4-ruby/Makefile
  1.15      +0 -2      ports/devel/kdebindings4-ruby/distinfo (dead)
  1.4       +0 -9      ports/devel/kdebindings4-ruby/files/patch-ruby__CMakeLists.txt (dead)
  1.2       +0 -7      ports/devel/kdebindings4-ruby/files/patch-ruby__korundum__CMakeLists.txt (dead)
  1.2       +0 -5      ports/devel/kdebindings4-ruby/files/patch-ruby__korundum__modules__plasma__CMakeLists.txt (dead)
  1.2       +0 -21     ports/devel/kdebindings4-ruby/files/patch-ruby__qtruby__src__CMakeLists.txt (dead)
  1.2       +0 -10     ports/devel/kdebindings4-ruby/files/pkg-message.in (dead)
  1.2       +0 -6      ports/devel/kdebindings4-ruby/files/ruby-kdebindings-env.sh.in (dead)
  1.2       +1 -1      ports/devel/kdebindings4-ruby/pkg-descr
  1.5       +0 -88     ports/devel/kdebindings4-ruby/pkg-plist (dead)
  1.1       +34 -0     ports/devel/kdebindings4-smoke-smokegen/Makefile (new)
  1.1       +2 -0      ports/devel/kdebindings4-smoke-smokegen/distinfo (new)
  1.1       +9 -0      ports/devel/kdebindings4-smoke-smokegen/files/patch-cmake__CMakeLists.txt (new)
  1.1       +5 -0      ports/devel/kdebindings4-smoke-smokegen/pkg-descr (new)
  1.1       +36 -0     ports/devel/kdebindings4-smoke-smokegen/pkg-plist (new)
  1.1       +42 -0     ports/devel/kdebindings4-smoke-smokekde/Makefile (new)
  1.1       +2 -0      ports/devel/kdebindings4-smoke-smokekde/distinfo (new)
  1.1       +5 -0      ports/devel/kdebindings4-smoke-smokekde/pkg-descr (new)
  1.1       +87 -0     ports/devel/kdebindings4-smoke-smokekde/pkg-plist (new)
  1.1       +38 -0     ports/devel/kdebindings4-smoke-smokeqt/Makefile (new)
  1.1       +2 -0      ports/devel/kdebindings4-smoke-smokeqt/distinfo (new)
  1.1       +5 -0      ports/devel/kdebindings4-smoke-smokeqt/pkg-descr (new)
  1.1       +88 -0     ports/devel/kdebindings4-smoke-smokeqt/pkg-plist (new)
  1.7       +19 -25    ports/devel/kdebindings4-smoke/Makefile
  1.15      +0 -2      ports/devel/kdebindings4-smoke/distinfo (dead)
  1.2       +1 -3      ports/devel/kdebindings4-smoke/pkg-descr
  1.5       +0 -192    ports/devel/kdebindings4-smoke/pkg-plist (dead)
  1.13      +9 -20     ports/devel/kdebindings4/Makefile
  1.10      +0 -53     ports/devel/kdebindings4/files/Makefile.kdebindings (dead)
  1.2       +1 -1      ports/devel/kdebindings4/pkg-descr
  1.101     +30 -12    ports/devel/kdesdk4/Makefile
  1.65      +2 -2      ports/devel/kdesdk4/distinfo
  1.39      +100 -286  ports/devel/kdesdk4/pkg-plist
  1.458     +1 -0      ports/editors/Makefile
  1.1       +40 -0     ports/editors/kate/Makefile (new)
  1.1       +2 -0      ports/editors/kate/distinfo (new)
  1.1       +9 -0      ports/editors/kate/pkg-descr (new)
  1.1       +433 -0    ports/editors/kate/pkg-plist (new)
  1.60      +2 -2      ports/french/kde4-l10n/distinfo
  1.52      +45 -13    ports/french/kde4-l10n/pkg-plist
  1.1389    +4 -0      ports/games/Makefile
  1.1       +27 -0     ports/games/blinken/Makefile (new)
  1.1       +2 -0      ports/games/blinken/distinfo (new)
  1.1       +7 -0      ports/games/blinken/pkg-descr (new)
  1.1       +33 -0     ports/games/blinken/pkg-plist (new)
  1.1       +36 -0     ports/games/kajongg/Makefile (new)
  1.1       +15 -0     ports/games/kajongg/pkg-descr (new)
  1.1       +99 -0     ports/games/kajongg/pkg-plist (new)
  1.1       +29 -0     ports/games/kanagram/Makefile (new)
  1.1       +2 -0      ports/games/kanagram/distinfo (new)
  1.1       +13 -0     ports/games/kanagram/pkg-descr (new)
  1.1       +32 -0     ports/games/kanagram/pkg-plist (new)
  1.126     +21 -11    ports/games/kdegames4/Makefile
  1.80      +2 -2      ports/games/kdegames4/distinfo
  1.2       +0 -10     ports/games/kdegames4/files/patch-kajongg__CMakeLists.txt (dead)
  1.2       +0 -12     ports/games/kdegames4/files/patch-libkdegames__kgamerenderer.h (dead)
  1.2       +0 -14     ports/games/kdegames4/files/patch-libkdegames__kgamerenderer_p.h (dead)
  1.49      +8 -113    ports/games/kdegames4/pkg-plist
  1.1       +31 -0     ports/games/khangman/Makefile (new)
  1.1       +2 -0      ports/games/khangman/distinfo (new)
  1.1       +10 -0     ports/games/khangman/pkg-descr (new)
  1.1       +39 -0     ports/games/khangman/pkg-plist (new)
  1.60      +2 -2      ports/german/kde4-l10n/distinfo
  1.54      +186 -27   ports/german/kde4-l10n/pkg-plist
  1.1455    +15 -0     ports/graphics/Makefile
  1.42      +24 -22    ports/graphics/gwenview-kde4/Makefile
  1.13      +2 -2      ports/graphics/gwenview-kde4/distinfo
  1.2       +0 -20     ports/graphics/gwenview-kde4/files/patch-src_gvcore_pngformattype.cpp (dead)
  1.2       +0 -22     ports/graphics/gwenview-kde4/files/patch-src_imageutils_jpegcontent.cpp (dead)
  1.4       +41 -5     ports/graphics/gwenview-kde4/pkg-descr
  1.14      +27 -108   ports/graphics/gwenview-kde4/pkg-plist
  1.31      +14 -23    ports/graphics/kamera-kde4/Makefile
  1.22      +2 -2      ports/graphics/kamera-kde4/distinfo
  1.3       +4 -3      ports/graphics/kamera-kde4/pkg-descr
  1.8       +9 -19     ports/graphics/kamera-kde4/pkg-plist
  1.1       +27 -0     ports/graphics/kcolorchooser/Makefile (new)
  1.1       +2 -0      ports/graphics/kcolorchooser/distinfo (new)
  1.1       +10 -0     ports/graphics/kcolorchooser/pkg-descr (new)
  1.1       +4 -0      ports/graphics/kcolorchooser/pkg-plist (new)
  1.1       +31 -0     ports/graphics/kdegraphics4-mobipocket/Makefile (new)
  1.1       +2 -0      ports/graphics/kdegraphics4-mobipocket/distinfo (new)
  1.1       +6 -0      ports/graphics/kdegraphics4-mobipocket/pkg-descr (new)
  1.1       +7 -0      ports/graphics/kdegraphics4-mobipocket/pkg-plist (new)
  1.1       +30 -0     ports/graphics/kdegraphics4-strigi-analyzer/Makefile (new)
  1.1       +2 -0      ports/graphics/kdegraphics4-strigi-analyzer/distinfo (new)
  1.1       +3 -0      ports/graphics/kdegraphics4-strigi-analyzer/pkg-descr (new)
  1.1       +2 -0      ports/graphics/kdegraphics4-strigi-analyzer/pkg-plist (new)
  1.1       +28 -0     ports/graphics/kdegraphics4-svgpart/Makefile (new)
  1.1       +2 -0      ports/graphics/kdegraphics4-svgpart/distinfo (new)
  1.1       +4 -0      ports/graphics/kdegraphics4-svgpart/pkg-descr (new)
  1.1       +4 -0      ports/graphics/kdegraphics4-svgpart/pkg-plist (new)
  1.1       +30 -0     ports/graphics/kdegraphics4-thumbnailers/Makefile (new)
  1.1       +2 -0      ports/graphics/kdegraphics4-thumbnailers/distinfo (new)
  1.1       +4 -0      ports/graphics/kdegraphics4-thumbnailers/pkg-descr (new)
  1.1       +4 -0      ports/graphics/kdegraphics4-thumbnailers/pkg-plist (new)
  1.166     +60 -35    ports/graphics/kdegraphics4/Makefile
  1.77      +0 -2      ports/graphics/kdegraphics4/distinfo (dead)
  1.4       +0 -14     ports/graphics/kdegraphics4/files/patch-libs__libkdcraw__CMakeLists.txt (dead)
  1.3       +0 -13     ports/graphics/kdegraphics4/files/patch-libs__libkexiv2__CMakeLists.txt (dead)
  1.3       +0 -13     ports/graphics/kdegraphics4/files/patch-libs__libkipi__CMakeLists.txt (dead)
  1.5       +3 -4      ports/graphics/kdegraphics4/pkg-descr
  1.57      +0 -560    ports/graphics/kdegraphics4/pkg-plist (dead)
  1.4       +29 -0     ports/graphics/kolourpaint/Makefile (new)
  1.3       +2 -0      ports/graphics/kolourpaint/distinfo (new)
  1.3       +14 -0     ports/graphics/kolourpaint/pkg-descr (new)
  1.3       +182 -0    ports/graphics/kolourpaint/pkg-plist (new)
  1.1       +29 -0     ports/graphics/ksaneplugin/Makefile (new)
  1.1       +2 -0      ports/graphics/ksaneplugin/distinfo (new)
  1.1       +3 -0      ports/graphics/ksaneplugin/pkg-descr (new)
  1.1       +2 -0      ports/graphics/ksaneplugin/pkg-plist (new)
  1.1       +30 -0     ports/graphics/ksnapshot/Makefile (new)
  1.1       +2 -0      ports/graphics/ksnapshot/distinfo (new)
  1.1       +11 -0     ports/graphics/ksnapshot/pkg-descr (new)
  1.1       +16 -0     ports/graphics/ksnapshot/pkg-plist (new)
  1.19      +25 -20    ports/graphics/libkdcraw-kde4/Makefile
  1.12      +2 -2      ports/graphics/libkdcraw-kde4/distinfo
  1.4       +1 -4      ports/graphics/libkdcraw-kde4/pkg-descr
  1.8       +13 -27    ports/graphics/libkdcraw-kde4/pkg-plist
  1.22      +25 -17    ports/graphics/libkexiv2-kde4/Makefile
  1.10      +2 -2      ports/graphics/libkexiv2-kde4/distinfo
  1.2       +0 -26     ports/graphics/libkexiv2-kde4/files/patch-libkexiv2__libkexiv2__kexiv2.cpp (dead)
  1.3       +4 -5      ports/graphics/libkexiv2-kde4/pkg-descr
  1.8       +13 -4     ports/graphics/libkexiv2-kde4/pkg-plist
  1.23      +24 -21    ports/graphics/libkipi-kde4/Makefile
  1.8       +2 -2      ports/graphics/libkipi-kde4/distinfo
  1.5       +2 -5      ports/graphics/libkipi-kde4/pkg-descr
  1.10      +10 -54    ports/graphics/libkipi-kde4/pkg-plist
  1.1       +32 -0     ports/graphics/libksane/Makefile (new)
  1.1       +2 -0      ports/graphics/libksane/distinfo (new)
  1.1       +5 -0      ports/graphics/libksane/pkg-descr (new)
  1.1       +14 -0     ports/graphics/libksane/pkg-plist (new)
  1.1       +46 -0     ports/graphics/okular/Makefile (new)
  1.1       +2 -0      ports/graphics/okular/distinfo (new)
  1.1       +9 -0      ports/graphics/okular/pkg-descr (new)
  1.1       +153 -0    ports/graphics/okular/pkg-plist (new)
  1.65      +2 -2      ports/hebrew/kde4-l10n/distinfo
  1.48      +9 -2      ports/hebrew/kde4-l10n/pkg-plist
  1.66      +2 -2      ports/hungarian/kde4-l10n/distinfo
  1.50      +25 -6     ports/hungarian/kde4-l10n/pkg-plist
  1.783     +1 -0      ports/japanese/Makefile
  1.60      +2 -2      ports/japanese/kde4-l10n/distinfo
  1.44      +13 -5     ports/japanese/kde4-l10n/pkg-plist
  1.1       +27 -0     ports/japanese/kiten/Makefile (new)
  1.1       +2 -0      ports/japanese/kiten/distinfo (new)
  1.1       +20 -0     ports/japanese/kiten/pkg-descr (new)
  1.1       +39 -0     ports/japanese/kiten/pkg-plist (new)
  1.51      +2 -2      ports/korean/kde4-l10n/distinfo
  1.29      +44 -6     ports/korean/kde4-l10n/pkg-plist
  1.748     +1 -0      ports/lang/Makefile
  1.1       +27 -0     ports/lang/kturtle/Makefile (new)
  1.1       +2 -0      ports/lang/kturtle/distinfo (new)
  1.1       +17 -0     ports/lang/kturtle/pkg-descr (new)
  1.1       +23 -0     ports/lang/kturtle/pkg-plist (new)
  1.742     +6 -0      ports/math/Makefile
  1.1       +60 -0     ports/math/cantor/Makefile (new)
  1.1       +2 -0      ports/math/cantor/distinfo (new)
  1.1       +11 -0     ports/math/cantor/files/patch-src__backends__R__rserver__rcallbacks.cpp (new)
  1.1       +5 -0      ports/math/cantor/pkg-descr (new)
  1.1       +115 -0    ports/math/cantor/pkg-plist (new)
  1.1       +42 -0     ports/math/kalgebra/Makefile (new)
  1.1       +2 -0      ports/math/kalgebra/distinfo (new)
  1.1       +5 -0      ports/math/kalgebra/pkg-descr (new)
  1.1       +40 -0     ports/math/kalgebra/pkg-plist (new)
  1.1       +29 -0     ports/math/kbruch/Makefile (new)
  1.1       +2 -0      ports/math/kbruch/distinfo (new)
  1.1       +19 -0     ports/math/kbruch/pkg-descr (new)
  1.1       +45 -0     ports/math/kbruch/pkg-plist (new)
  1.1       +37 -0     ports/math/kig/Makefile (new)
  1.1       +2 -0      ports/math/kig/distinfo (new)
  1.1       +9 -0      ports/math/kig/pkg-descr (new)
  1.1       +334 -0    ports/math/kig/pkg-plist (new)
  1.1       +29 -0     ports/math/kmplot/Makefile (new)
  1.1       +2 -0      ports/math/kmplot/distinfo (new)
  1.1       +25 -0     ports/math/kmplot/pkg-descr (new)
  1.1       +49 -0     ports/math/kmplot/pkg-plist (new)
  1.1       +30 -0     ports/math/rocs/Makefile (new)
  1.1       +2 -0      ports/math/rocs/distinfo (new)
  1.1       +12 -0     ports/math/rocs/pkg-descr (new)
  1.1       +108 -0    ports/math/rocs/pkg-plist (new)
  1.989     +8 -2      ports/misc/Makefile
  1.66      +2 -2      ports/misc/kde4-l10n-bg/distinfo
  1.36      +34 -2     ports/misc/kde4-l10n-bg/pkg-plist
  1.1       +18 -0     ports/misc/kde4-l10n-bs/Makefile (new)
  1.1       +2 -0      ports/misc/kde4-l10n-bs/distinfo (new)
  1.1       +3 -0      ports/misc/kde4-l10n-bs/pkg-descr (new)
  1.1       +735 -0    ports/misc/kde4-l10n-bs/pkg-plist (new)
  1.9       +1 -1      ports/misc/kde4-l10n-ca/Makefile.man
  1.66      +2 -2      ports/misc/kde4-l10n-ca/distinfo
  1.52      +204 -5    ports/misc/kde4-l10n-ca/pkg-plist
  1.14      +2 -2      ports/misc/kde4-l10n-ca_valencia/distinfo
  1.6       +4 -5      ports/misc/kde4-l10n-ca_valencia/pkg-plist
  1.66      +2 -2      ports/misc/kde4-l10n-cs/distinfo
  1.48      +24 -5     ports/misc/kde4-l10n-cs/pkg-plist
  1.6       +1 -1      ports/misc/kde4-l10n-da/Makefile.man
  1.66      +2 -2      ports/misc/kde4-l10n-da/distinfo
  1.48      +26 -5     ports/misc/kde4-l10n-da/pkg-plist
  1.2       +1 -1      ports/misc/kde4-l10n-el/Makefile.man
  1.65      +2 -2      ports/misc/kde4-l10n-el/distinfo
  1.40      +39 -5     ports/misc/kde4-l10n-el/pkg-plist
  1.66      +2 -2      ports/misc/kde4-l10n-en_GB/distinfo
  1.49      +10 -5     ports/misc/kde4-l10n-en_GB/pkg-plist
  1.67      +2 -2      ports/misc/kde4-l10n-es/distinfo
  1.57      +149 -17   ports/misc/kde4-l10n-es/pkg-plist
  1.7       +1 -1      ports/misc/kde4-l10n-et/Makefile.man
  1.66      +2 -2      ports/misc/kde4-l10n-et/distinfo
  1.51      +97 -54    ports/misc/kde4-l10n-et/pkg-plist
  1.48      +2 -2      ports/misc/kde4-l10n-eu/distinfo
  1.33      +38 -4     ports/misc/kde4-l10n-eu/pkg-plist
  1.66      +2 -2      ports/misc/kde4-l10n-fi/distinfo
  1.55      +56 -5     ports/misc/kde4-l10n-fi/pkg-plist
  1.31      +2 -0      ports/misc/kde4-l10n-fy/Makefile
  1.36      +2 -2      ports/misc/kde4-l10n-ga/distinfo
  1.18      +37 -5     ports/misc/kde4-l10n-ga/pkg-plist
  1.4       +1 -1      ports/misc/kde4-l10n-gl/Makefile.man
  1.43      +2 -2      ports/misc/kde4-l10n-gl/distinfo
  1.28      +66 -5     ports/misc/kde4-l10n-gl/pkg-plist
  1.14      +2 -0      ports/misc/kde4-l10n-gu/Makefile
  1.42      +2 -0      ports/misc/kde4-l10n-hi/Makefile
  1.18      +2 -2      ports/misc/kde4-l10n-hr/distinfo
  1.11      +4 -5      ports/misc/kde4-l10n-hr/pkg-plist
  1.11      +2 -2      ports/misc/kde4-l10n-ia/distinfo
  1.6       +94 -2     ports/misc/kde4-l10n-ia/pkg-plist
  1.14      +2 -2      ports/misc/kde4-l10n-id/distinfo
  1.4       +2 -3      ports/misc/kde4-l10n-id/pkg-plist
  1.65      +2 -2      ports/misc/kde4-l10n-is/distinfo
  1.47      +4 -4      ports/misc/kde4-l10n-is/pkg-plist
  1.66      +2 -2      ports/misc/kde4-l10n-it/distinfo
  1.56      +55 -25    ports/misc/kde4-l10n-it/pkg-plist
  1.34      +2 -2      ports/misc/kde4-l10n-kk/distinfo
  1.24      +19 -5     ports/misc/kde4-l10n-kk/pkg-plist
  1.36      +2 -2      ports/misc/kde4-l10n-km/distinfo
  1.23      +24 -5     ports/misc/kde4-l10n-km/pkg-plist
  1.24      +2 -2      ports/misc/kde4-l10n-kn/distinfo
  1.9       +28 -2     ports/misc/kde4-l10n-kn/pkg-plist
  1.62      +2 -2      ports/misc/kde4-l10n-lt/distinfo
  1.41      +27 -5     ports/misc/kde4-l10n-lt/pkg-plist
  1.58      +2 -2      ports/misc/kde4-l10n-lv/distinfo
  1.36      +35 -5     ports/misc/kde4-l10n-lv/pkg-plist
  1.16      +2 -0      ports/misc/kde4-l10n-mai/Makefile
  1.18      +2 -0      ports/misc/kde4-l10n-ml/Makefile
  1.66      +2 -2      ports/misc/kde4-l10n-nb/distinfo
  1.47      +12 -5     ports/misc/kde4-l10n-nb/pkg-plist
  1.48      +2 -2      ports/misc/kde4-l10n-nds/distinfo
  1.36      +12 -5     ports/misc/kde4-l10n-nds/pkg-plist
  1.8       +1 -1      ports/misc/kde4-l10n-nl/Makefile.man
  1.66      +2 -2      ports/misc/kde4-l10n-nl/distinfo
  1.56      +50 -42    ports/misc/kde4-l10n-nl/pkg-plist
  1.66      +2 -2      ports/misc/kde4-l10n-nn/distinfo
  1.42      +25 -5     ports/misc/kde4-l10n-nn/pkg-plist
  1.43      +2 -2      ports/misc/kde4-l10n-pa/distinfo
  1.22      +15 -6     ports/misc/kde4-l10n-pa/pkg-plist
  1.65      +2 -2      ports/misc/kde4-l10n-ro/distinfo
  1.50      +79 -5     ports/misc/kde4-l10n-ro/pkg-plist
  1.63      +2 -2      ports/misc/kde4-l10n-sk/distinfo
  1.46      +12 -5     ports/misc/kde4-l10n-sk/pkg-plist
  1.66      +2 -2      ports/misc/kde4-l10n-sl/distinfo
  1.45      +93 -34    ports/misc/kde4-l10n-sl/pkg-plist
  1.66      +2 -2      ports/misc/kde4-l10n-sr/distinfo
  1.50      +362 -24   ports/misc/kde4-l10n-sr/pkg-plist
  1.8       +1 -1      ports/misc/kde4-l10n-sv/Makefile.man
  1.66      +2 -2      ports/misc/kde4-l10n-sv/distinfo
  1.52      +180 -17   ports/misc/kde4-l10n-sv/pkg-plist
  1.47      +2 -2      ports/misc/kde4-l10n-th/distinfo
  1.30      +29 -3     ports/misc/kde4-l10n-th/pkg-plist
  1.66      +2 -2      ports/misc/kde4-l10n-tr/distinfo
  1.42      +4 -5      ports/misc/kde4-l10n-tr/pkg-plist
  1.1       +18 -0     ports/misc/kde4-l10n-ug/Makefile (new)
  1.1       +2 -0      ports/misc/kde4-l10n-ug/distinfo (new)
  1.1       +3 -0      ports/misc/kde4-l10n-ug/pkg-descr (new)
  1.1       +735 -0    ports/misc/kde4-l10n-ug/pkg-plist (new)
  1.29      +2 -2      ports/misc/kde4-l10n-wa/distinfo
  1.15      +12 -3     ports/misc/kde4-l10n-wa/pkg-plist
  1.75      +4 -5      ports/misc/kde4-l10n/Makefile
  1.14      +2 -2      ports/misc/kde4-xdg-env/Makefile
  1.12      +1 -3      ports/misc/kde4-xdg-env/files/xdg-env.sh.in
  1.81      +104 -46   ports/misc/kdeedu4/Makefile
  1.58      +0 -2      ports/misc/kdeedu4/distinfo (dead)
  1.4       +4 -1      ports/misc/kdeedu4/pkg-descr
  1.46      +0 -3659   ports/misc/kdeedu4/pkg-plist (dead)
  1.39      +10 -6     ports/misc/kdehier4/Makefile
  1.19      +2 -2      ports/misc/kdehier4/files/dirlist
  1.7       +5 -1      ports/misc/kdehier4/files/make-plist.sh
  1.4       +3 -2      ports/misc/kdehier4/files/mtree-dirlist
  1.2       +0 -1      ports/misc/kdehier4/files/session-kde4.conf.in
  1.2       +0 -1      ports/misc/kdehier4/files/system-kde4.conf.in
  1.22      +8 -8      ports/misc/kdehier4/pkg-plist
  1.156     +24 -15    ports/misc/kdeutils4/Makefile
  1.81      +2 -2      ports/misc/kdeutils4/distinfo
  1.2       +0 -35     ports/misc/kdeutils4/files/patch-ark-kerfuffle-cliiterface.cpp (dead)
  1.2       +0 -99     ports/misc/kdeutils4/files/patch-kcalc-kcalc.ui (dead)
  1.3       +4 -1      ports/misc/kdeutils4/pkg-descr
  1.57      +4 -23     ports/misc/kdeutils4/pkg-plist
  1.1       +27 -0     ports/misc/kgeography/Makefile (new)
  1.1       +2 -0      ports/misc/kgeography/distinfo (new)
  1.1       +5 -0      ports/misc/kgeography/pkg-descr (new)
  1.1       +1005 -0   ports/misc/kgeography/pkg-plist (new)
  1.1       +27 -0     ports/misc/klettres/Makefile (new)
  1.1       +2 -0      ports/misc/klettres/distinfo (new)
  1.1       +4 -0      ports/misc/klettres/pkg-descr (new)
  1.1       +189 -0    ports/misc/klettres/pkg-plist (new)
  1.47      +0 -31     ports/misc/konq-plugins-kde4/Makefile (dead)
  1.31      +0 -2      ports/misc/konq-plugins-kde4/distinfo (dead)
  1.6       +0 -20     ports/misc/konq-plugins-kde4/pkg-descr (dead)
  1.31      +0 -116    ports/misc/konq-plugins-kde4/pkg-plist (dead)
  1.1       +29 -0     ports/misc/ktouch/Makefile (new)
  1.1       +2 -0      ports/misc/ktouch/distinfo (new)
  1.1       +18 -0     ports/misc/ktouch/pkg-descr (new)
  1.1       +112 -0    ports/misc/ktouch/pkg-plist (new)
  1.8       +29 -0     ports/misc/kwordquiz/Makefile (new)
  1.5       +2 -0      ports/misc/kwordquiz/distinfo (new)
  1.3       +10 -0     ports/misc/kwordquiz/pkg-descr (new)
  1.5       +227 -0    ports/misc/kwordquiz/pkg-plist (new)
  1.1       +27 -0     ports/misc/libkdeedu/Makefile (new)
  1.1       +2 -0      ports/misc/libkdeedu/distinfo (new)
  1.1       +3 -0      ports/misc/libkdeedu/pkg-descr (new)
  1.1       +113 -0    ports/misc/libkdeedu/pkg-plist (new)
  1.2       +0 -29     ports/misc/nepomukcontroller/Makefile (dead)
  1.2       +0 -2      ports/misc/nepomukcontroller/distinfo (dead)
  1.2       +0 -9      ports/misc/nepomukcontroller/pkg-descr (dead)
  1.1       +32 -0     ports/misc/parley/Makefile (new)
  1.1       +2 -0      ports/misc/parley/distinfo (new)
  1.1       +6 -0      ports/misc/parley/pkg-descr (new)
  1.1       +228 -0    ports/misc/parley/pkg-plist (new)
  1.177     +6 -6      ports/multimedia/kdemultimedia4/Makefile
  1.79      +2 -2      ports/multimedia/kdemultimedia4/distinfo
  1.1       +364 -0    ports/multimedia/kdemultimedia4/files/patch-svn1250843 (new)
  1.53      +7 -1      ports/multimedia/kdemultimedia4/pkg-plist
  1.174     +31 -18    ports/net/kdenetwork4/Makefile
  1.82      +2 -2      ports/net/kdenetwork4/distinfo
  1.1       +22 -0     ports/net/kdenetwork4/files/patch-kopete__protocols__jabber__googletalk__libjingle__talk__base__httpcommon.cc (new)
  1.1       +36 -0     ports/net/kdenetwork4/files/patch-kopete__protocols__jabber__googletalk__libjingle__talk__base__stringencode.cc (new)
  1.69      +48 -19    ports/net/kdenetwork4/pkg-plist
  1.6       +1 -1      ports/polish/kde4-l10n/Makefile.man
  1.66      +2 -2      ports/polish/kde4-l10n/distinfo
  1.56      +65 -10    ports/polish/kde4-l10n/pkg-plist
  1.66      +2 -2      ports/portuguese/kde4-l10n-pt_BR/distinfo
  1.53      +165 -15   ports/portuguese/kde4-l10n-pt_BR/pkg-plist
  1.7       +1 -1      ports/portuguese/kde4-l10n/Makefile.man
  1.66      +2 -2      ports/portuguese/kde4-l10n/distinfo
  1.50      +100 -17   ports/portuguese/kde4-l10n/pkg-plist
  1.18      +6 -5      ports/print/kdeutils4-printer-applet/Makefile
  1.3       +8 -4      ports/print/kdeutils4-printer-applet/pkg-plist
  1.18      +6 -5      ports/print/system-config-printer-kde/Makefile
  1.3       +5 -3      ports/print/system-config-printer-kde/pkg-plist
  1.60      +2 -2      ports/russian/kde4-l10n/distinfo
  1.53      +57 -5     ports/russian/kde4-l10n/pkg-plist
  1.225     +2 -0      ports/science/Makefile
  1.1       +40 -0     ports/science/kalzium/Makefile (new)
  1.1       +2 -0      ports/science/kalzium/distinfo (new)
  1.1       +21 -0     ports/science/kalzium/pkg-descr (new)
  1.1       +437 -0    ports/science/kalzium/pkg-plist (new)
  1.1       +41 -0     ports/science/step/Makefile (new)
  1.1       +2 -0      ports/science/step/distinfo (new)
  1.1       +9 -0      ports/science/step/pkg-descr (new)
  1.1       +97 -0     ports/science/step/pkg-plist (new)
  1.25      +18 -14    ports/sysutils/filelight-kde4/Makefile
  1.9       +0 -2      ports/sysutils/filelight-kde4/distinfo (dead)
  1.4       +6 -8      ports/sysutils/filelight-kde4/pkg-descr
  1.8       +12 -4     ports/sysutils/filelight-kde4/pkg-plist
  1.81      +4 -6      ports/sysutils/kdeadmin4/Makefile
  1.65      +2 -2      ports/sysutils/kdeadmin4/distinfo
  1.4       +3 -2      ports/sysutils/ksysguardd/Makefile
  1.7       +0 -2      ports/sysutils/ksysguardd/distinfo (dead)
  1.63      +2 -2      ports/ukrainian/kde4-l10n/distinfo
  1.54      +58 -12    ports/ukrainian/kde4-l10n/pkg-plist
  1.91      +6 -4      ports/www/kdewebdev4/Makefile
  1.61      +2 -2      ports/www/kdewebdev4/distinfo
  1.30      +7 -0      ports/www/kdewebdev4/pkg-plist
  1.95      +5 -3      ports/x11-clocks/kdetoys4/Makefile
  1.73      +2 -2      ports/x11-clocks/kdetoys4/distinfo
  1.257     +1 -0      ports/x11-themes/Makefile
  1.19      +2 -2      ports/x11-themes/kde4-icons-oxygen/distinfo
  1.19      +39 -12    ports/x11-themes/kde4-icons-oxygen/pkg-plist
  1.1       +28 -0     ports/x11-themes/kde4-wallpapers/Makefile (new)
  1.1       +2 -0      ports/x11-themes/kde4-wallpapers/distinfo (new)
  1.1       +3 -0      ports/x11-themes/kde4-wallpapers/pkg-descr (new)
  1.1       +141 -0    ports/x11-themes/kde4-wallpapers/pkg-plist (new)
  1.79      +10 -14    ports/x11-themes/kdeartwork4/Makefile
  1.63      +2 -2      ports/x11-themes/kdeartwork4/distinfo
  1.4       +2 -0      ports/x11-themes/kdeartwork4/pkg-descr
  1.39      +2121 -1   ports/x11-themes/kdeartwork4/pkg-plist
  1.772     +5 -3      ports/x11/Makefile
  1.237     +19 -14    ports/x11/kde4-baseapps/Makefile
  1.86      +2 -2      ports/x11/kde4-baseapps/distinfo
  1.8       +8 -7      ports/x11/kde4-baseapps/pkg-descr
  1.84      +119 -41   ports/x11/kde4-baseapps/pkg-plist
  1.249     +39 -20    ports/x11/kde4-runtime/Makefile
  1.86      +2 -2      ports/x11/kde4-runtime/distinfo
  1.1       +29 -0     ports/x11/kde4-runtime/files/patch-nepomuk__services__storage__datamanagementmodel.h (new)
  1.9       +1 -1      ports/x11/kde4-runtime/pkg-descr
  1.89      +33 -6     ports/x11/kde4-runtime/pkg-plist
  1.260     +62 -19    ports/x11/kde4-workspace/Makefile
  1.87      +2 -2      ports/x11/kde4-workspace/distinfo
  1.5       +2 -0      ports/x11/kde4-workspace/files/kdm4.in
  1.5       +3 -19     ports/x11/kde4-workspace/files/patch-CMakeLists.txt
  1.2       +5 -6      ports/x11/kde4-workspace/files/patch-kinfocenter__Modules__base__CMakeLists.txt
  1.3       +1 -1      ports/x11/kde4-workspace/files/patch-kwin-kcmkwin-kwinrules_ruleswidget.cpp
  1.2       +0 -54     ports/x11/kde4-workspace/files/patch-plasma-generic-dataengines-geolocation-location_gps.cpp (dead)
  1.2       +0 -20     ports/x11/kde4-workspace/files/patch-plasma-generic-dataengines-geolocation-location_gps.h (dead)
  1.4       +0 -14     ports/x11/kde4-workspace/files/patch-plasma__generic__scriptengines__CMakeLists.txt (dead)
  1.7       +0 -10     ports/x11/kde4-workspace/files/pkg-message.in (dead)
  1.9       +1 -1      ports/x11/kde4-workspace/pkg-descr
  1.10      +7 -0      ports/x11/kde4-workspace/pkg-message (new)
  1.94      +55 -167   ports/x11/kde4-workspace/pkg-plist
  1.130     +58 -68    ports/x11/kde4/Makefile
  1.248     +0 -84     ports/x11/kdebase4-runtime/Makefile (dead)
  1.85      +0 -2      ports/x11/kdebase4-runtime/distinfo (dead)
  1.2       +0 -6      ports/x11/kdebase4-runtime/files/nepomuk-env.sh.in (dead)
  1.4       +0 -11     ports/x11/kdebase4-runtime/files/patch-khelpcenter_searchhandlers-khc_mansearch.pl (dead)
  1.8       +0 -5      ports/x11/kdebase4-runtime/pkg-descr (dead)
  1.88      +0 -2097   ports/x11/kdebase4-runtime/pkg-plist (dead)
  1.259     +0 -123    ports/x11/kdebase4-workspace/Makefile (dead)
  1.86      +0 -4      ports/x11/kdebase4-workspace/distinfo (dead)
  1.18      +0 -19     ports/x11/kdebase4-workspace/files/kdm.in (dead)
  1.5       +0 -60     ports/x11/kdebase4-workspace/files/kdm4.in (dead)
  1.2       +0 -7      ports/x11/kdebase4-workspace/files/layout.js.in (dead)
  1.2       +0 -15     ports/x11/kdebase4-workspace/files/metadata.desktop (dead)
  1.5       +0 -27     ports/x11/kdebase4-workspace/files/patch-CMakeLists.txt (dead)
  1.2       +0 -20     ports/x11/kdebase4-workspace/files/patch-ConfigureChecks.cmake (dead)
  1.4       +0 -12     ports/x11/kdebase4-workspace/files/patch-kdm-kfrontend-CMakeLists.txt (dead)
  1.18      +0 -30     ports/x11/kdebase4-workspace/files/patch-kdm-kfrontend-genkdmconf.c (dead)
  1.3       +0 -26     ports/x11/kdebase4-workspace/files/patch-kdm__backend__client.c (dead)
  1.2       +0 -11     ports/x11/kdebase4-workspace/files/patch-kinfocenter__Modules__base__CMakeLists.txt (dead)
  1.3       +0 -17     ports/x11/kdebase4-workspace/files/patch-kinfocenter__Modules__info__CMakeLists.txt (dead)
  1.3       +0 -10     ports/x11/kdebase4-workspace/files/patch-kwin-kcmkwin-kwinrules_ruleswidget.cpp (dead)
  1.2       +0 -11     ports/x11/kdebase4-workspace/files/patch-kwin__CMakeLists.txt (dead)
  1.2       +0 -54     ports/x11/kdebase4-workspace/files/patch-plasma-generic-dataengines-geolocation-location_gps.cpp (dead)
  1.2       +0 -20     ports/x11/kdebase4-workspace/files/patch-plasma-generic-dataengines-geolocation-location_gps.h (dead)
  1.4       +0 -14     ports/x11/kdebase4-workspace/files/patch-plasma__generic__scriptengines__CMakeLists.txt (dead)
  1.2       +0 -12     ports/x11/kdebase4-workspace/files/patch-startkde.cmake (dead)
  1.7       +0 -10     ports/x11/kdebase4-workspace/files/pkg-message.in (dead)
  1.8       +0 -5      ports/x11/kdebase4-workspace/pkg-descr (dead)
  1.93      +0 -2559   ports/x11/kdebase4-workspace/pkg-plist (dead)
  1.236     +0 -49     ports/x11/kdebase4/Makefile (dead)
  1.85      +0 -2      ports/x11/kdebase4/distinfo (dead)
  1.7       +0 -8      ports/x11/kdebase4/pkg-descr (dead)
  1.83      +0 -398    ports/x11/kdebase4/pkg-plist (dead)
  1.266     +32 -32    ports/x11/kdelibs4/Makefile
  1.89      +2 -2      ports/x11/kdelibs4/distinfo
  1.8       +2 -2      ports/x11/kdelibs4/files/patch-KDE4Defaults.cmake
  1.4       +21 -24    ports/x11/kdelibs4/files/patch-cmake_modules_FindKdcraw.cmake
  1.4       +11 -15    ports/x11/kdelibs4/files/patch-cmake_modules_FindKexiv2.cmake
  1.4       +30 -30    ports/x11/kdelibs4/files/patch-cmake_modules_FindKipi.cmake
  1.1       +63 -0     ports/x11/kdelibs4/files/patch-nepomuk__query__querybuilderdata_p.h (new)
  1.2       +0 -32     ports/x11/kdelibs4/files/patch-solid_solid_backends_hal_haldevice.cpp (dead)
  1.9       +1 -1      ports/x11/kdelibs4/pkg-descr
  1.94      +36 -226   ports/x11/kdelibs4/pkg-plist
  1.15      +28 -0     ports/x11/kgamma/Makefile (new)
  1.7       +2 -0      ports/x11/kgamma/distinfo (new)
  1.4       +5 -0      ports/x11/kgamma/pkg-descr (new)
  1.8       +16 -0     ports/x11/kgamma/pkg-plist (new)
  1.1       +27 -0     ports/x11/konsole/Makefile (new)
  1.1       +2 -0      ports/x11/konsole/distinfo (new)
  1.1       +9 -0      ports/x11/konsole/pkg-descr (new)
  1.1       +30 -0     ports/x11/konsole/pkg-plist (new)
  1.7       +6 -5      ports/x11/plasma-scriptengine-python/Makefile
  1.7       +7 -6      ports/x11/plasma-scriptengine-ruby/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Alberto Villa freebsd_committer 2011-10-17 01:23:01 UTC
State Changed
From-To: patched->closed

Committed. Thanks!